Bug 1052466 - (CVE-2017-6418) VUL-0: CVE-2017-6418: libclamav/message.c in ClamAV 0.99.2 allows remote attackers to cause a denialof service (out-of-bounds read) via a crafted e-mail message.
(CVE-2017-6418)
VUL-0: CVE-2017-6418: libclamav/message.c in ClamAV 0.99.2 allows remote atta...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/189685/
CVSSv3:SUSE:CVE-2017-6418:5.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 06:33 UTC by Marcus Meissner
Modified: 2018-01-31 09:28 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
clamav_email_crash.eml (1.31 KB, application/octet-stream)
2017-08-07 06:35 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-08-07 06:33:18 UTC
CVE-2017-6418

libclamav/message.c in ClamAV 0.99.2 allows remote attackers to cause a denial
of service (out-of-bounds read) via a crafted e-mail message.

References:
https://bugzilla.clamav.net/show_bug.cgi?id=11797
https://github.com/varsleak/varsleak-vul/blob/master/clamav-vul/heap-overflow/clamav_email_crash.md
https://github.com/vrtadmin/clamav-devel/commit/586a5180287262070637c8943f2f7efd652e4a2c
Comment 1 Marcus Meissner 2017-08-07 06:35:00 UTC
Created attachment 735429 [details]
clamav_email_crash.eml

QA REPRODUCER:

clamscan clamav_email_crash.eml

should crash ... (currently does not on factory, might need ASAN)
Comment 3 Swamp Workflow Management 2018-01-26 17:00:20 UTC
This is an autogenerated message for OBS integration:
This bug (1052466) was mentioned in
https://build.opensuse.org/request/show/569980 Factory / clamav
Comment 5 Vítězslav Čížek 2018-01-26 17:10:17 UTC
Fixed in version 0.99.3 (in the running maintenance update).
Reassigning to the security team.
Comment 6 Johannes Weberhofer 2018-01-26 17:51:53 UTC
I have increased severity as several mail-servers I'm operating are affected by the DoS attacks today. Think security releases for all supported systems should be releases asap.
Comment 7 Vítězslav Čížek 2018-01-26 18:35:12 UTC
(In reply to Johannes Weberhofer from comment #6)
The maintenance updates are in progress, currently, the packages are being tested by QA.
They'll likely be released by Monday evening.
Comment 8 Swamp Workflow Management 2018-01-27 17:08:34 UTC
SUSE-SU-2018:0254-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    clamav-0.99.3-0.20.3.2
Comment 9 Swamp Workflow Management 2018-01-27 20:07:48 UTC
SUSE-SU-2018:0255-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1040662,1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
SUSE OpenStack Cloud 6 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for SAP 12 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP3 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP2 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-LTSS (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    clamav-0.99.3-33.5.1
Comment 10 Swamp Workflow Management 2018-01-28 14:07:35 UTC
openSUSE-SU-2018:0258-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1040662,1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
openSUSE Leap 42.3 (src):    clamav-0.99.3-20.1
Comment 11 Swamp Workflow Management 2018-01-29 16:55:47 UTC
An update workflow for this issue was started.
This issue was rated as important.
Please submit fixed packages until 2018-02-05.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63957
Comment 12 Marcus Meissner 2018-01-31 09:28:35 UTC
released